My Folders Files

WorkDrive presents a list of shortcut menus for users' easy access to their data. One can find them in the top-left sidebar of WorkDrive's user panel.

Download My Folders Files OpenAPI Document
Download






Get My Folders Id

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API fetches the ID of the team members my folders.

The team_member_id is created when a user becomes part of a team.

Endpoints

OAuth Scope

WorkDrive.files.READCopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request GET \
  --url https://www.zohoapis.com/workdrive/api/v1/users/{team_member_id}/privatespace \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52'

Path Parameters

team_member_idstring(Required)

The unique ID that represents the team member

Response Example

R712

R712

E005

U001

F001

R008

R008

U002

T031

R004

R004

T001

F000

200
200
400
401
403
404
500
Copied!
  {
    "data": [
      {
        "id": "ly9zme5724e019a8e4cb48632945b1296be0a",
        "type": "privatespace",
        "attributes": {
          "trashedfiles_view_pref": {
            "sort_by": "last_modified",
            "sort_order": "desc",
            "filtered_by": "all",
            "layout": "list"
          },
          "outgoingfiles_view_pref": {
            "sort_by": "last_modified",
            "sort_order": "desc",
            "filtered_by": "all",
            "layout": "list"
          },
          "incomingfiles_view_pref": {
            "sort_by": "shared_time",
            "sort_order": "desc",
            "filtered_by": "all",
            "layout": "list"
          },
          "view_pref": {
            "sort_by": "last_modified",
            "sort_order": "desc",
            "filtered_by": "all",
            "layout": "list"
          },
          "is_unread_myspace": false,
          "unread_count_myspace": 0,
          "files_view_pref": {
            "sort_by": "last_modified",
            "sort_order": "desc",
            "filtered_by": "all",
            "layout": "list"
          }
        },
        "relationships": {
          "settings": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/privatespace/ly9zme5724e019a8e4cb48632945b1296be0a/relationships/settings",
              "related": "https://www.zohoapis.com/workdrive/privatespace/ly9zme5724e019a8e4cb48632945b1296be0a/settings"
            }
          },
          "folders": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/privatespace/ly9zme5724e019a8e4cb48632945b1296be0a/relationships/folders",
              "related": "https://www.zohoapis.com/workdrive/privatespace/ly9zme5724e019a8e4cb48632945b1296be0a/folders"
            }
          },
          "deletedfiles": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/privatespace/ly9zme5724e019a8e4cb48632945b1296be0a/relationships/deletedfiles",
              "related": "https://www.zohoapis.com/workdrive/privatespace/ly9zme5724e019a8e4cb48632945b1296be0a/deletedfiles"
            }
          },
          "incomingfiles": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/privatespace/ly9zme5724e019a8e4cb48632945b1296be0a/relationships/incomingfiles",
              "related": "https://www.zohoapis.com/workdrive/privatespace/ly9zme5724e019a8e4cb48632945b1296be0a/incomingfiles"
            }
          },
          "files": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/privatespace/ly9zme5724e019a8e4cb48632945b1296be0a/relationships/files",
              "related": "https://www.zohoapis.com/workdrive/privatespace/ly9zme5724e019a8e4cb48632945b1296be0a/files"
            }
          },
          "links": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/privatespace/ly9zme5724e019a8e4cb48632945b1296be0a/relationships/links",
              "related": "https://www.zohoapis.com/workdrive/privatespace/ly9zme5724e019a8e4cb48632945b1296be0a/links"
            }
          },
          "trashedfiles": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/privatespace/ly9zme5724e019a8e4cb48632945b1296be0a/relationships/trashedfiles",
              "related": "https://www.zohoapis.com/workdrive/privatespace/ly9zme5724e019a8e4cb48632945b1296be0a/trashedfiles"
            }
          },
          "incomingfolders": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/privatespace/ly9zme5724e019a8e4cb48632945b1296be0a/relationships/incomingfolders",
              "related": "https://www.zohoapis.com/workdrive/privatespace/ly9zme5724e019a8e4cb48632945b1296be0a/incomingfolders"
            }
          },
          "copy": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/privatespace/ly9zme5724e019a8e4cb48632945b1296be0a/relationships/copy",
              "related": "https://www.zohoapis.com/workdrive/privatespace/ly9zme5724e019a8e4cb48632945b1296be0a/copy"
            }
          },
          "outgoingfiles": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/privatespace/ly9zme5724e019a8e4cb48632945b1296be0a/relationships/outgoingfiles",
              "related": "https://www.zohoapis.com/workdrive/privatespace/ly9zme5724e019a8e4cb48632945b1296be0a/outgoingfiles"
            }
          }
        },
        "links": {
          "self": "https://www.zohoapis.com/workdrive/privatespace/ly9zme5724e019a8e4cb48632945b1296be0a"
        }
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R712",
        "title": "filter[group] value doesn't contain a - separator"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "E005",
        "title": "Invalid user edition details"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "U001",
        "title": "User not logged in. Please Log in"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F001",
        "title": "Invalid filter type passed. Please pass a valid filter for the selected tab."
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R008",
        "title": "Unauthorized access"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "U002",
        "title": "User not part of team. Please contact the team admin to add user to team"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "T031",
        "title": "Team is integrated with other app or bundle"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R004",
        "title": "Invalid resourceId passed. Please use a valid resourceId"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "T001",
        "title": "No Such Team"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F000",
        "title": "General Exception"
      }
    ]
  }
                
Show full